package de.intevation.artifactdatabase.rest;

import org.restlet.representation.OutputRepresentation;

import org.restlet.data.MediaType;

import de.intevation.artifacts.ArtifactDatabase.DeferredOutput;

import java.io.IOException;
import java.io.OutputStream;

/**
 * @author <a href="mailto:sascha.teichmann@intevation">Sascha L. Teichmann</a>
 */
public class OutRepresentation
extends      OutputRepresentation
{
    protected DeferredOutput out;

    public OutRepresentation(MediaType mediaType, DeferredOutput out) {
        super(mediaType);
        this.out = out;
    }

    public void write(OutputStream output) throws IOException {
        out.write(output);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
